package com.njcn.pojo.commons.device;

import java.io.Serializable;
import java.util.Date;

public class LineInfo implements Serializable{
	private String line_index;
	private String name;//终端名称
	private String lineName;
	private String subvName;//母线名称
	private String Manufacturer;//厂家名称
	private String DevType;//终端型号
	private String IP;//IP地址
	private Long status;//终端通讯状态
	private String Scale;//电压等级
	private float PT1;//PT1
	private float PT2;//PT2
	private String PT;//PT变比
	private float CT1;//CT1
	private float CT2;//CT2
	private String CT;//CT变比
	private float JZCMP;//基准容量
	private float DLCMP;//短路容量
	private float XYCMP;//协议容量
	private float DEVCMP;//设备容量
	private Date updatetime;
	private String txzt;
	private String time;
	private Long sbzt;
	private String gdName;
	private String subName;
	private String devName;
	private Float latitude;
	private Float longitude;
	private int eventcount;
	private String pttype;
	private int ptvalue;
    private Integer baseFlow;//流量套餐
    private Integer extendFlow;//扩展套餐
    private float useFlow;//流量使用百分比
	private String subScale;
	private String loadType;
	private String objName;
	private String powerSubstationName; // 电网侧变电站名称


	public String getPowerSubstationName() {
		return powerSubstationName;
	}

	public void setPowerSubstationName(String powerSubstationName) {
		this.powerSubstationName = powerSubstationName;
	}

	public String getObjName() {
		return objName;
	}

	public void setObjName(String objName) {
		this.objName = objName;
	}

	public String getLine_index() {
		return line_index;
	}
	public void setLine_index(String line_index) {
		this.line_index = line_index;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getSUBV_name() {
		return subvName;
	}
	public void setSUBV_name(String sUBV_name) {
		subvName = sUBV_name;
	}
	public String getManufacturer() {
		return Manufacturer;
	}
	public void setManufacturer(String manufacturer) {
		Manufacturer = manufacturer;
	}
	public String getDevType() {
		return DevType;
	}
	public void setDevType(String devType) {
		DevType = devType;
	}
	public String getIP() {
		return IP;
	}
	public void setIP(String iP) {
		IP = iP;
	}
	public Long getStatus() {
		return status;
	}
	public void setStatus(Long status) {
		this.status = status;
	}
	public String getScale() {
		return Scale;
	}
	public void setScale(String scale) {
		Scale = scale;
	}
	public float getPT1() {
		return PT1;
	}
	public void setPT1(float pT1) {
		PT1 = pT1;
	}
	public float getPT2() {
		return PT2;
	}
	public void setPT2(float pT2) {
		PT2 = pT2;
	}
	public String getPT() {
		return PT;
	}
	public void setPT(String pT) {
		PT = pT;
	}
	public float getCT1() {
		return CT1;
	}
	public void setCT1(float cT1) {
		CT1 = cT1;
	}
	public float getCT2() {
		return CT2;
	}
	public void setCT2(float cT2) {
		CT2 = cT2;
	}
	public String getCT() {
		return CT;
	}
	public void setCT(String cT) {
		CT = cT;
	}
	public float getJZCMP() {
		return JZCMP;
	}
	public void setJZCMP(float jZCMP) {
		JZCMP = jZCMP;
	}
	public float getDLCMP() {
		return DLCMP;
	}
	public void setDLCMP(float dLCMP) {
		DLCMP = dLCMP;
	}
	public float getXYCMP() {
		return XYCMP;
	}
	public void setXYCMP(float xYCMP) {
		XYCMP = xYCMP;
	}
	public float getDEVCMP() {
		return DEVCMP;
	}
	public void setDEVCMP(float dEVCMP) {
		DEVCMP = dEVCMP;
	}
	public Date getUpdatetime() {
		return updatetime;
	}
	public void setUpdatetime(Date updatetime) {
		this.updatetime = updatetime;
	}
	public String getTxzt() {
		return txzt;
	}
	public void setTxzt(String txzt) {
		this.txzt = txzt;
	}
	public String getTime() {
		return time;
	}
	public void setTime(String time) {
		this.time = time;
	}
	public Long getSbzt() {
		return sbzt;
	}
	public void setSbzt(Long sbzt) {
		this.sbzt = sbzt;
	}
	public String getSubvName() {
		return subvName;
	}
	public void setSubvName(String subvName) {
		this.subvName = subvName;
	}
	public String getGdName() {
		return gdName;
	}
	public void setGdName(String gdName) {
		this.gdName = gdName;
	}
	public String getSubName() {
		return subName;
	}
	public void setSubName(String subName) {
		this.subName = subName;
	}
	public String getDevName() {
		return devName;
	}
	public void setDevName(String devName) {
		this.devName = devName;
	}

	public Float getLatitude() {
		return latitude;
	}

	public void setLatitude(Float latitude) {
		this.latitude = latitude;
	}

	public Float getLongitude() {
		return longitude;
	}

	public void setLongitude(Float longitude) {
		this.longitude = longitude;
	}

	public int getEventcount() {
		return eventcount;
	}

	public void setEventcount(int eventcount) {
		this.eventcount = eventcount;
	}
	public String getPttype() {
		return pttype;
	}
	public void setPttype(String pttype) {
		this.pttype = pttype;
	}
	public int getPtvalue() {
		return ptvalue;
	}
	public void setPtvalue(int ptvalue) {
		this.ptvalue = ptvalue;
	}
	public Integer getBaseFlow() {
		return baseFlow;
	}
	public void setBaseFlow(Integer baseFlow) {
		this.baseFlow = baseFlow;
	}
	public Integer getExtendFlow() {
		return extendFlow;
	}
	public void setExtendFlow(Integer extendFlow) {
		this.extendFlow = extendFlow;
	}
	public float getUseFlow() {
		return useFlow;
	}
	public void setUseFlow(float useFlow) {
		this.useFlow = useFlow;
	}

	public String getSubScale() {
		return subScale;
	}

	public void setSubScale(String subScale) {
		this.subScale = subScale;
	}

	public String getLoadType() {
		return loadType;
	}

	public void setLoadType(String loadType) {
		this.loadType = loadType;
	}

	public String getLineName() {
		return lineName;
	}

	public void setLineName(String lineName) {
		this.lineName = lineName;
	}
}
